var test = require('tape');
var _ = require('underscore');
require('../underscore.isNumeric.js');

test('isNumeric', function (t) {
	t.equal(_.isNumeric(0),	true, '0 is numeric');
	t.equal(_.isNumeric('0'), true, '"0" is numeric');
	t.equal(_.isNumeric('zero'), false, '"zero" is not numeric');
	t.equal(_.isNumeric(true), false, 'true is not numeric');
	t.equal(_.isNumeric(false), false, 'false is not numeric');
	t.equal(_.isNumeric([]), false, '[] is not numeric');
	t.equal(_.isNumeric(['1']), false, '["1"] is not numeric');
	t.equal(_.isNumeric([1]), false, '[1] is not numeric');

	t.end();
});